% Outer style

\mode<beamer | handout> % -----------------------------------------------------

% Frame background
\defbeamertemplate*{background}{dtudriven}[1][]{
  \begin{tikzpicture}
    \useasboundingbox (0,0) rectangle (\the\paperwidth,\the\paperheight);
    \ifnum\thepage>1\relax%
      % total logo bar height = 0.08\paperheight
      \pgftext[base,left, at=\pgfpoint{0.01\paperwidth}{0.01\paperheight}]{%
        \includegraphics[height=0.06\paperheight]{gfx/logos/dtu-driven-logo-gray}};
      \pgftext[base,right,at=\pgfpoint{0.99\paperwidth}{0.01\paperheight}]{%
        \includegraphics[height=0.06\paperheight]{gfx/logos/unilu-logo-gray}%
        \hspace*{0.01\paperwidth}%
        \includegraphics[height=0.06\paperheight]{gfx/logos/liser-logo-gray}};
      \fill[white,opacity=0.5] (0,0) rectangle (\the\paperwidth,0.08\paperheight);
    \else%
      % total logo bar height = 0.16\paperheight
      \pgftext[base,left ,at=\pgfpoint{0.02\paperwidth}{0.02\paperheight}]{%
        \includegraphics[height=0.12\paperheight]{gfx/logos/dtu-driven-logo}};
      \pgftext[base,right,at=\pgfpoint{0.98\paperwidth}{0.02\paperheight}]{%
        \includegraphics[height=0.12\paperheight]{gfx/logos/unilu-logo}%
        \hspace*{0.02\paperwidth}%
        \includegraphics[height=0.12\paperheight]{gfx/logos/liser-logo}};
    \fi
  \end{tikzpicture}
}

% Title page
\defbeamertemplate*{title page}{dtudriven}[1][]{
  \vskip0.15\paperheight%
  \begin{beamercolorbox}[wd=\linewidth,center,#1]{title page header}
    \usebeamerfont{title}\inserttitle%
  \end{beamercolorbox}%
  \vskip0.05\paperheight%
  \begin{beamercolorbox}[wd=\linewidth,center,#1]{author}
    \usebeamerfont{author}\insertauthor%
  \end{beamercolorbox}
  \vskip0.01\paperheight%
  \begin{beamercolorbox}[wd=\linewidth,center,#1]{institute}
    \usebeamerfont{institute}\insertinstitute%
  \end{beamercolorbox}
  \vskip0.05\paperheight%
  \begin{beamercolorbox}[wd=\linewidth,center,#1]{date}
    \usebeamerfont{date}\insertdate%
  \end{beamercolorbox}
  \vfill
}

% Frame title
\defbeamertemplate*{frametitle}{dtudriven}[1][]{
  % total title bar height = 0.08\paperheight
  \begin{beamercolorbox}[wd=\paperwidth,ht=0.08\paperheight]{frametitle}
    \begin{tikzpicture}
      %
      \useasboundingbox[fill=none] (0,0) rectangle (\the\paperwidth,0.08\paperheight);
      %
      \ifx\insertframesubtitle\@empty{%
      \node[minimum height=1.5em,text height=1.5em,text depth=.25ex,
            align=left,anchor=south west] at (0.0,0.0)
            {\usebeamerfont{frametitle}%
             \insertframetitle};
      }%
      \else{%
      \node[minimum height=1.5em,text height=1.5em,text depth=.25ex,
            align=left,anchor=south west] at (0.0,0.0)
            {\usebeamerfont{frametitle}%
             \insertframetitle%
             %
             \usebeamercolor[fg]{framesubtitle}\usebeamerfont{framesubtitle}%
             ~|~%
             \insertframesubtitle};
      }%
      \fi
    \end{tikzpicture}
  \end{beamercolorbox}
}

% Frame footer
\defbeamertemplate*{footline}{dtudriven}[1][]{
  % total footer bar height = 0.08\paperheight
  \begin{beamercolorbox}[wd=\paperwidth,ht=0.08\paperheight]{footline}
      \ifnum\thepage>1\relax%
    \begin{tikzpicture}
      %
      \useasboundingbox[fill=none] (0,0) rectangle (\the\paperwidth,0.08\paperheight);
      %
      \node[minimum height=1.5em,text height=1.5em,text depth=.25ex,
            align=center,anchor=mid] at (0.5\paperwidth,0.04\paperheight)
            {\usebeamerfont{footline}%
             \insertframenumber};
    \end{tikzpicture}
    \fi
  \end{beamercolorbox}
}

\mode
<all>

\mode<trans> % ----------------------------------------------------------------

% (Poster) Frame background
\defbeamertemplate*{background}{dtudriven}[1][]{
  \begin{tikzpicture}
    \useasboundingbox (0,0) rectangle (\the\paperwidth,\the\paperheight);
    %
    % \fill[black!10] (0,0) rectangle (\the\paperwidth,\the\paperheight);
  \end{tikzpicture}
}

% (Poster) Title page
\defbeamertemplate*{title page}{dtudriven}[1][]{
  \begin{tikzpicture}
    \useasboundingbox (0,0) rectangle (1.0\textwidth,0.08\paperheight);
    % total logo bar height = 0.08\paperheight
    \pgftext[base,left, at=\pgfpoint{0.0\textwidth}{0.02\paperheight}]{%
      \includegraphics[height=0.05\paperheight]{gfx/logos/dtu-driven-logo}};
    \pgftext[base,right,at=\pgfpoint{1.0\textwidth}{0.02\paperheight}]{%
      \includegraphics[height=0.05\paperheight]{gfx/logos/unilu-logo}%
      \hspace*{0.02\textwidth}%
      \includegraphics[height=0.05\paperheight]{gfx/logos/liser-logo}};
  \end{tikzpicture}
  %
  \begin{beamercolorbox}[wd=\linewidth,left,#1]{title page header}
    \usebeamerfont{title}\MakeUppercase{\inserttitle}%
  \end{beamercolorbox}%
  \par
  \begin{beamercolorbox}[wd=\linewidth,left,#1]{author}
    \usebeamerfont{author}\insertauthor%
  \end{beamercolorbox}
  \par
  \begin{beamercolorbox}[wd=\linewidth,left,#1]{institute}
    \usebeamerfont{institute}\insertinstitute%
  \end{beamercolorbox}
  \par
  \begin{beamercolorbox}[wd=\linewidth,left,#1]{date}
    \usebeamerfont{date}\insertdate%
  \end{beamercolorbox}
  \vskip1em%
}

\mode
<all>
